#!/bin/bash

WORK_DIR="/sf/storage/gmo/hic/out/by_User/KhabarovaAnya/Pig/raw/FTM_03_03_25/"
cd $WORK_DIR;
# declare -a samples=("5P241117071US2S2665DX_PEF_5_GG_L00" "5P241117071US2S2665DX_PEF_5_CM_L00" "5P241117071US2S2665DX_PEF_5_B5_L00" "5P241117071US2S2665DX_PEF_4_GG_L00" "5P241117071US2S2665DX_PEF_4_CM_L00" "5P241117071US2S2665DX_PEF_4_B4_L00" #названия образцов без R1 и 2, только общие части
samples="5P241117071US2S2665DX_PEF_5_GG_L00 5P241117071US2S2665DX_PEF_5_CM_L00 5P241117071US2S2665DX_PEF_5_B5_L00 5P241117071US2S2665DX_PEF_4_GG_L00 5P241117071US2S2665DX_PEF_4_CM_L00 5P241117071US2S2665DX_PEF_4_B4_L00"
# for sample in "${samples[@]}"; do
for sample in ${samples}; do
	echo ${sample}
	echo "=========="
	gunzip $WORK_DIR/${sample}_R1.f*q.gz $WORK_DIR/${sample}_R2.f*q.gz #команда, которая распаковывает сжатые файлы в формате
	mkdir ${WORK_DIR}/align_paired
	bwa mem /sf/storage/gmo/hic/out/by_User/KhabarovaAnya/pig_genome/GCF_000003025.6_Sscrofa11.1_genomic.fna ${WORK_DIR}/${sample}_R1.f*q.gz ${WORK_DIR}/${sample}_R2.f*q.gz > ${WORK_DIR}/align_paired/${sample}.sam ####bwa mem **путь на геном** **путь к fastq файлу R1** **путь к fastq файлу R2** > **путь к файлу sam (куда положить выравнивание)
	samtools view -b -h $WORK_DIR/align_paired/${sample}.sam > $WORK_DIR/align_paired/${sample}.bam #переделать sam в bam
	samtools sort $WORK_DIR/align_paired/${sample}.bam > $WORK_DIR/align_paired/${sample}.sorted.bam #отсортировать bam
	samtools index $WORK_DIR/align_paired/${sample}.sorted.bam #сделать индекс для отсортированного bam файла
done
